From 338f072543e9f486efeb7b1313f90ec956c5f2b2 Mon Sep 17 00:00:00 2001 From: wes Date: Sun, 14 Jul 2024 16:20:57 -0400 Subject: [PATCH] make smaller, fix panel --- amp_case.py | 18 ++++++++++-------- 1 file changed, 10 insertions(+), 8 deletions(-) diff --git a/amp_case.py b/amp_case.py index efd37cd..42507b9 100644 --- a/amp_case.py +++ b/amp_case.py @@ -19,8 +19,8 @@ panel_width = 0.8 amp_bottom_height = 19 + bottom_width + middle_width # how tall the pcb is battery_width = 26 battery_height = 15 -amp_width = 60 -amp_length = 60 +amp_width = 62 +amp_length = 56 amp_height = battery_height + amp_bottom_height panel_component_diameter = 7.8 @@ -40,21 +40,21 @@ result = ( .box(amp_length, side_width, amp_height) ) +# Back slot for cable result = ( result.workplane(offset=amp_height / 2) .center(0, amp_width / 2) .box(amp_length, amp_width + bottom_width, bottom_width) .workplane(offset=-10) .move(-(amp_width / 2), 0) - .box(10, 10, 10, combine="cut") + .box(20, 10, 10, combine="cut") ) +# Front panel result = ( - result.workplane(offset=-7.8) - .center((amp_width / 2) - (panel_width / 2) - 1, 0) - .box(panel_width, amp_width, amp_height) - .faces("+Z") - .chamfer(0.9, 1) + result.workplane(offset=-6.4) + .center((amp_width / 2) - (panel_width / 2) - 3, 0) + .box(panel_width, amp_width+5, amp_height+2.5) ) panel_holes = ( @@ -78,6 +78,7 @@ panel_holes_2 = ( result = result.cut(panel_holes) result = result.cut(panel_holes_2) +# Back panel back = ( result.workplane(offset=-6.3) .center(-(amp_width) + 2, 0) @@ -96,6 +97,7 @@ back_screws = ( back = back.cut(back_screws) back = back.center(31.5, 0).box(amp_width, amp_width + 9, amp_width, combine="cut") +# Slide in slot for top result = ( result.workplane(offset=-(amp_height/2)-side_width-1) .center(-70, -(amp_width/2))